Subject: bug#8869: Unjustified selection time-out

From: Chong Yidong <[email-masked]>
Date: Fri, 24 Feb 2012 16:42:02 +0800

Glenn Morris <[email-masked]> writes:

> Similar problems using current trunk on RHEL6.2 under XFCE 4.8:
>
> emacs -Q
> C-SPC M-< M-w
> C-x C-c

Hmm, I couldn't reproduce this, also on XFCE 4.8.  But I did see the
timeout problem when clicking on the "close window" button rather than
doing C-x C-c.  There, the problem is that when Emacs is waiting for the
selection request from the clipboard manager, swallow_events doesn't get
to handle the selection request event because there's a
DELETE_WINDOW_EVENT sitting in the keyboard buffer in front of it.

I committed a changed to make process_special_events deal with all X
selection events in the keyboard fifo buffer.  Does that happen to fix
things for you?